=== modified file 'bzrlib/bugtracker.py'
--- bzrlib/bugtracker.py	2011-02-25 12:12:39 +0000
+++ bzrlib/bugtracker.py	2011-09-01 15:26:30 +0000
@@ -48,8 +48,14 @@
 
     bzr commit --fixes <tracker>:<id>
 
+or::
+
+    bzr commit --fixes <id>
+
 where "<tracker>" is an identifier for the bug tracker, and "<id>" is the
 identifier for that bug within the bugtracker, usually the bug number.
+If "<tracker>" is not specified the ``bugtracker`` set in the branch
+or global configuration is used.
 
 Bazaar knows about a few bug trackers that have many users. If
 you use one of these bug trackers then there is no setup required to

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2011-09-01 15:09:42 +0000
+++ bzrlib/builtins.py	2011-09-01 15:26:30 +0000
@@ -3244,12 +3244,12 @@
                 if default_bugtracker is None:
                     branch_config = branch.get_config()
                     default_bugtracker = branch_config.get_user_option(
-                        "default_bugtracker")
+                        "bugtracker")
                 if default_bugtracker is None:
                     raise errors.BzrCommandError(
                         "No tracker specified for bug %s. Use the form "
                         "'tracker:id' or specify a default bug tracker "
-                        "using the `default_bugtracker` option.\nSee "
+                        "using the `bugtracker` option.\nSee "
                         "\"bzr help bugs\" for more information on this "
                         "feature. Commit refused." % fixed_bug)
                 tag = default_bugtracker

=== modified file 'bzrlib/tests/blackbox/test_commit.py'
--- bzrlib/tests/blackbox/test_commit.py	2011-09-01 15:09:42 +0000
+++ bzrlib/tests/blackbox/test_commit.py	2011-09-01 15:26:30 +0000
@@ -604,12 +604,12 @@
         self.run_bzr_error(
             ["bzr: ERROR: No tracker specified for bug 123. Use the form "
             "'tracker:id' or specify a default bug tracker using the "
-            "`default_bugtracker` option.\n"
+            "`bugtracker` option.\n"
             "See \"bzr help bugs\" for more information on this feature. "
             "Commit refused."],
             'commit -m add-b --fixes=123',
             working_dir='tree')
-        tree.branch.get_config().set_user_option("default_bugtracker", "lp")
+        tree.branch.get_config().set_user_option("bugtracker", "lp")
         self.run_bzr('commit -m hello --fixes=234 tree/hello.txt')
         # Get the revision properties, ignoring the branch-nick property, which
         # we don't care about for this test.

=== modified file 'doc/en/release-notes/bzr-2.5.txt'
--- doc/en/release-notes/bzr-2.5.txt	2011-09-01 15:09:42 +0000
+++ doc/en/release-notes/bzr-2.5.txt	2011-09-01 15:26:30 +0000
@@ -113,7 +113,9 @@
 
 * Do not run i18n initialisation twice. (Jonathan Riddell)
 
-* Support a ``default_bugtracker`` option. (Jelmer Vernooij, #334860)
+* Support a ``bugtracker`` option which is used by ``bzr commit --fixes``
+  if no bug tracker was specified on the command line.
+  (Jelmer Vernooij, #334860)
 
 Bug Fixes
 *********

